<?php
/*------------------------------------------------------------------------
# Module loader - Offlajn Module Loader
# ------------------------------------------------------------------------
# author    Jeno Kovacs 
# copyright Copyright (C) 2012 Offlajn.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.offlajn.com
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die;

jimport('joomla.application.module.helper');

class modOfflajnModuleLoaderHelper extends JModuleHelper
{

	/**
	 * Get module by id (real, eg 'Breadcrumbs' or folder, eg 'mod_breadcrumbs')
	 *
	 * @access	public
	 * @param	string 	$name	The name of the module
	 * @param	string	$title	The title of the module, optional
	 * @return	object	The Module object
	 */
	function &getModuleById($id, $title = null ) {
		$result		= null;
		$modules	=& JModuleHelper::_load();
		$total		= count($modules);
		
    for ($i = 0; $i < $total; $i++)
		{
				
			// Match the name of the module
			if ($modules[$i]->id == $id)
			{
				// Match the title if we're looking for a specific instance of the module
			/*	if ( ! $title || $modules[$i]->title == $title )
				{*/
					$result =& $modules[$i];
					break;	// Found it
			//	}
			}
		}

		// if we didn't find it, and the name is mod_something, create a dummy object
		if (is_null( $result ) && substr( $name, 0, 4 ) == 'mod_')
		{
			$result				= new stdClass;
			$result->id			= 0;
			$result->title		= '';
			$result->module		= $name;
			$result->position	= '';
			$result->content	= '';
			$result->showtitle	= 0;
			$result->control	= '';
			$result->params		= '';
			$result->user		= 0;
		}
      
		return JModuleHelper::renderModule($result);
	}
}
